AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: LGPL-3.0-only
AuthorName: wangdaye
SourceCode: https://github.com/WangDaYeeeeee/GeometricWeather
IssueTracker: https://github.com/WangDaYeeeeee/GeometricWeather/issues
Changelog: https://github.com/WangDaYeeeeee/GeometricWeather/releases

AutoName: Geometric Weather

RepoType: git
Repo: https://github.com/WangDaYeeeeee/GeometricWeather.git

Builds:
  - versionName: 3.007_fdroid
    versionCode: 30007
    commit: '3.007'
    subdir: app
    gradle:
      - fdroid
    rm:
      - app/libs/*
    prebuild: perl -i -0 -p -e 's|maven {\n\s*url "https://dl.bintray.com/qichuan/maven/"\n\s*}||g'
        build.gradle

  - versionName: 3.008_fdroid
    versionCode: 30008
    commit: '3.008'
    subdir: app
    gradle:
      - fdroid
    rm:
      - app/libs/*
    prebuild: perl -i -0 -p -e 's|maven {\n\s*url "https://dl.bintray.com/qichuan/maven/"\n\s*}||g'
        build.gradle

  - versionName: 3.009_fdroid
    versionCode: 30009
    commit: '3.009'
    subdir: app
    gradle:
      - fdroid
    rm:
      - app/libs/*
    prebuild: perl -i -0 -p -e 's|maven {\n\s*url "https://dl.bintray.com/qichuan/maven/"\n\s*}||g'
        build.gradle

  - versionName: 3.010_fdroid
    versionCode: 30010
    commit: '3.010'
    subdir: app
    gradle:
      - fdroid
    rm:
      - app/libs/*
    prebuild: perl -i -0 -p -e 's|maven {\n\s*url "https://dl.bintray.com/qichuan/maven/"\n\s*}||g'
        build.gradle

  - versionName: 3.013_fdroid
    versionCode: 30013
    commit: '3.013'
    subdir: app
    gradle:
      - fdroid
    rm:
      - app/libs/*
    prebuild: perl -i -0 -p -e 's|maven {\n\s*url "https://dl.bintray.com/qichuan/maven/"\n\s*}||g'
        build.gradle

  - versionName: 3.100_fdroid
    versionCode: 30100
    disable: crashes, waiting for the next build cycle
    commit: 0ec0af04d67627a2af4ed12508a4cd9fcef9ce47
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - app/libs/*
    prebuild: perl -i -0 -p -e 's|maven {\n\s*url "https://dl.bintray.com/qichuan/maven/"\n\s*}||g'
        build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 3.100_fdroid
CurrentVersionCode: 30100
